PONTO DE MONTA(1)

NOME
mountpoint - vê se um directório é um ponto de montagem

RESUMO
mountpoint [-q] [-d] /caminho/para/directório
mountpoint -x /dev/dispositivo

DESCRIÇÃO
mountpoint verifica se um directório é um ponto de montagem.

OPÇÕES

-q  Fica calado - não escreve nada.

-d  Escreve o número de dispositivo maior/menor do sistema de ficheiros no stdout.

-p  Verifica o ficheiro /proc/mounts do Linux para tentar detectar pontos de montagem circulares.

-x  Escreve o número de dispositivo maior/menor do dispositivo de bloco no stdout.

ESTADO DE SAÍDA
Zero se o directório for um ponto de montagem, não-zero se não for.

NOTAS
Os links simbólicos não são seguidos, excepto quando a opção -x é usada. Para forçar o seguimento dos links simbólicos, adicione uma barra "/" no final do caminho do directório.

O nome do comando é enganoso quando a opção -x é usada, mas a opção é útil para comparar se um directório e um dispositivo correspondem, e não há mais nenhum outro comando que consiga escrever a informação com facilidade.

O comando mountpoint falha quando um directório é cego por um dos seus avôs. Por exemplo, se /a/b/c/d for um ponto de montagem para /a/b então o mountpoint irá reportar que /a/b/c/d não é um ponto de montagem válido. Isto deve-se a que ambos o directório original e o seu novo ponto de montagem partilham o mesmo inode e número de dispositivo.

O problema de montagem circular pode ser contornado em sistemas Linux ao usar a bandeira -p para verificar no ficheiro /proc/mounts por referências a vínculo de montagem circular. Quando se usar a bandeira -p, certifique de especificar o caminho completo (isto é, /home/user/mp e não apenas mp). Também, o mountpoint pode ainda falhar se existirem espaços no caminho dos pontos de montagem, mesmo usando a bandeira -p devido ao modo que o /proc/mounts lida com os espaços no nome do caminho. Claro que, se o administrador está a usar pontos de montagem circulares com espaços no nome, existem grandes preocupações.

AUTOR
Miquel van Smoorenburg (miquels@cistron.nl)

VEJA TAMBÉM
stat(1)